# pandas.arrays.TimedeltaArray

class `pandas.arrays.``TimedeltaArray`(values, dtype=dtype('<m8[ns]'), freq=None, copy=False)

  Pandas ExtensionArray for timedelta data.

  New in version 0.24.0.

  Warning

  TimedeltaArray is currently experimental, and its API may change without warning. In particular, `TimedeltaArray.dtype` is expected to change to be an instance of an `ExtensionDtype` subclass.

  Parameters:

  values : array-like

  > The timedelta data.

  dtype : numpy.dtype

  > Currently, only `numpy.dtype("timedelta64[ns]")` is accepted.

  freq : Offset, optional

  copy : bool, default False

  > Whether to copy the underlying array of data.

  Attributes

  None |

  Methods

  None |

Scroll To Top